Bug 621618 - Broken symlink prevents pool start
Broken symlink prevents pool start
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
: 630440 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 12:38 EDT by Kamil Páral
Modified: 2011-12-02 05:34 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-01 19:28:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2010-08-05 12:38:07 EDT
Description of problem:
My 'default' pool is located in /var/lib/libvirt/images. When I create a broken symlink in there, I can no longer refresh nor start again that pool:

# ls -l /var/lib/libvirt/images/
lrwxrwxrwx. 1 root root 11 Aug  5 18:26 broken -> nonexistent
...

# virsh pool-refresh default
error: Failed to refresh pool default
error: cannot open volume '/var/lib/libvirt/images/broken': No such file or directory

That's very inconvenient. I use symlinks for many ISO files. When I remove the destination of such a symlink, I imagine libvirt should just skip that broken symlink and not fail completely.

Version-Release number of selected component (if applicable):
python-virtinst-0.500.3-4.fc13.noarch
virt-manager-0.8.4-2.fc13.noarch
libvirt-0.8.2-1.fc13.x86_64
virt-viewer-0.2.1-1.fc13.x86_64
libvirt-python-0.8.2-1.fc13.x86_64
libvirt-client-0.8.2-1.fc13.x86_64
virt-top-1.0.4-3.fc13.x86_64

How reproducible:
always

Steps to Reproduce:
1. create broken symlink in your default pool
2. virsh pool-refresh default or virsh pool-start default
  
Actual results:
pool can't be started

Expected results:
pool can be started and broken symlinks are skipped
Comment 1 Bug Zapper 2011-06-01 08:03:35 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Kamil Páral 2011-06-01 08:47:44 EDT
Still the same problem in Fedora 14.
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:57:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-09-22 14:00:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 14:56:32 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 14:58:06 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:02:48 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-11-30 15:03:38 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Eric Blake 2011-12-01 19:25:33 EST
*** Bug 630440 has been marked as a duplicate of this bug. ***
Comment 10 Eric Blake 2011-12-01 19:28:34 EST
This was fixed in 0.8.7:

commit 76965b800e40c2084f03c4359f614fd802087832
Author: Osier Yang <jyang@redhat.com>
Date:   Tue Dec 21 14:45:24 2010 +0800

    storage: Ignore dangling symbolic link for filesystem pool
    
    If there is a dangling symbolic link in filesystem pool, the pool
    will fail to start or refresh, this patch is to fix it by ignoring
    it with a warning log.

F14 is nearing end-of-life, so it's not worth back-porting this fix there; but F15 and F16 already have the fix.  I'm closing this as WONTFIX for F14, and recommending upgrading instead.
Comment 11 Kamil Páral 2011-12-02 05:34:10 EST
(In reply to comment #10)
> F14 is nearing end-of-life, so it's not worth back-porting this fix there; but
> F15 and F16 already have the fix.  I'm closing this as WONTFIX for F14, and
> recommending upgrading instead.

Then the correct resolution is CLOSED NEXTRELEASE, adjusting.

I just tested libvirt-0.9.6-2.fc16.x86_64 and it really seems fixed. Thanks.

Note You need to log in before you can comment on or make changes to this bug.